Package: org.codehaus.groovy.grails.commons.metaclass

## [Java] Interface PropertyAccessInterceptor

- org.codehaus.groovy.grails.commons.metaclass.Interceptor

- All Superinterfaces:
    Interceptor

  Adds the ability to intercept property getters/setters.

  Authors:
    Graeme Rocher

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `beforeGet(java.lang.Object object, java.lang.String property, InvocationCallback callback)` Intercepts a getXXX call and returns a result.
    `void` | `beforeSet(java.lang.Object object, java.lang.String property, java.lang.Object newValue, InvocationCallback callback)` Intercepts a setXXX call.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Interceptor` | `afterInvoke, beforeInvoke`

- - ### Method Detail

    - #### public java.lang.Object beforeGet(java.lang.Object object, java.lang.String property, InvocationCallback callback)

      Intercepts a getXXX call and returns a result. The result is replaced by the real value if doGet() return false

      Parameters:
        `object` - The target object
        `property` - The property to get
        `callback` - The callback object
      Returns:
        A value supplied by the interceptor

    - #### public void beforeSet(java.lang.Object object, java.lang.String property, java.lang.Object newValue, InvocationCallback callback)

      Intercepts a setXXX call.

      Parameters:
        `object` - The target object
        `property` - The property to set
        `newValue` - The new value
        `callback` - The callback object